Module::CPANTS::Kwalitee::Files(3pm)

NAME
Module::CPANTS::Kwalitee::Files - Check for various files

SYNOPSIS
Find various files and directories that should be part of every self-respecting distribution.

DESCRIPTION

  Methods
order

Defines the order in which Kwalitee tests should be run.

Returns 15, as data generated by "MCK::Files" is used by all other tests.

analyse

"MCK::Files" uses "File::Find::Object" to get a list of all files and directories in a distribution. It checks if certain crucial files are there, and does some other file-specific stuff.

kwalitee_indicators

Returns the Kwalitee Indicators data structure.

•   has_readme

•   has_manifest

•   has_meta_yml

•   has_buildtool

•   has_changelog

•   no_symlinks

•   has_tests

•   has_tests_in_t_dir

•   no_stdin_for_prompting

SEE ALSO
Module::CPANTS::Analyse

AUTHOR
Thomas Klausner <https://metacpan.org/author/domm>

COPYRIGHT AND LICENSE
Copyright © 2003–2006, 2009 Thomas Klausner <https://metacpan.org/author/domm>

You may use and distribute this module according to the same terms that Perl is distributed under.